curl --request POST \ --url https://data.upscrape.com/execute \ --header "Authorization: Bearer $UPSCRAPE_API_KEY" \ --header "Content-Type: application/json" \ --header "Prefer: wait=30" \ --data '{ "capability": "google_trends.trending.list", "input": { "country": "US", "hours": 168, "include_ended": true, "limit": 50, "sort": "volume" }}'
import jsonimport osimport requestspayload = json.loads(r'''{ "capability": "google_trends.trending.list", "input": { "country": "US", "hours": 168, "include_ended": true, "limit": 50, "sort": "volume" }}''')response = requests.post( "https://data.upscrape.com/execute", headers={ "Authorization": f"Bearer {os.environ['UPSCRAPE_API_KEY']}", "Content-Type": "application/json", "Prefer": "wait=30", }, json=payload,)response.raise_for_status()print(json.dumps(response.json(), indent=2))
const response = await fetch("https://data.upscrape.com/execute", { method: "POST", headers: { "Authorization": `Bearer ${process.env.UPSCRAPE_API_KEY}`, "Content-Type": "application/json", "Prefer": "wait=30", }, body: JSON.stringify({ "capability": "google_trends.trending.list", "input": { "country": "US", "hours": 168, "include_ended": true, "limit": 50, "sort": "volume" }}),});if (!response.ok) { throw new Error(`Upscrape request failed: ${response.status}`);}console.log(JSON.stringify(await response.json(), null, 2));
Response
{ "trends": [ { "title": "hurricane isaias", "active": true, "growth_percent": 1000, "id": "hurricane isaias|2026-10-06T20:40:00Z", "search_volume": 5000000, "started_at": "2026-10-06T20:40:00Z", "categories": [ "Climate" ], "category_ids": [ 20 ], "related_queries": [ "hurricane isaias", "post-tropical cyclone isaias" ] }, { "title": "eagles vs jaguars", "active": true, "growth_percent": 1000, "id": "eagles vs jaguars|2026-10-10T23:30:00Z", "search_volume": 2000000, "started_at": "2026-10-10T23:30:00Z", "categories": [ "Sports" ], "category_ids": [ 17 ], "related_queries": [ "eagles vs jaguars", "cam little" ] } ]}